Bug 75832 - Ami does not let users input the full repertoire of modern Hangul syllables even under UTF-8 locale
Ami does not let users input the full repertoire of modern Hangul syllables e...
Product: Red Hat Linux
Classification: Retired
Component: ami (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Joo
Bill Huang
Depends On:
  Show dependency treegraph
Reported: 2002-10-13 09:09 EDT by Jungshik Shin
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-15 22:53:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jungshik Shin 2002-10-13 09:09:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021008

Description of problem:
Ami as included in RH 8.0 has to be launched under ko_KR.EUC-KR locale.
It can work with applications launched under ko_KR.UTF-8 locale, though.
However, this does not mean that the full repertoire of Hangul precomposed
syllables (11,172 of them in Unicode 2.0 or later) can be entered with Ami.
Because the repertoire of EUC-KR codeset is limited to 2350 precomposed
Hangul syllables, Ami running under ko_KR.EUC-KR locale does not
let users enter additional 8000 or so syllables. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Log on with Korean selected. Ami will be launched under ko_KR.EUC-KR locale. 
2. Launch 'gedit', 'kedit' or any application 
    under ko_KR.UTF-8 locale.  (that is, do the following in a terminal window: 

    $ LC_ALL=ko_KR.UTF-8 gedit )
3. Try to type U+B620 ('k ')  by typing 'Eha' after
    pressing 'shift-space' (English - Korean toggle key in Ami)

Actual Results:  Instead of U+B620 ('k '), you'll get U+B610('k') followed by

Expected Results:  One should be able to enter any syllable in U+AC00 block. 

Additional info:

I have a patch to make Ami run under ko_KR.UTF-8 locale. 
It's available at http://jshin.net/faq/ami-1.0.11.utf8.patch.gz.
I've been using it for several months and it works great. 

Being able to enter the full repertoire of modern Korean
syllables is very very critical to improve the chance of
Linux accepted among Koreans. MS Windows has been supporting
them for several years by now. As  I wrote in bug 75829,
Linux cannot drag its feet any more when it comes to
supporting UTF-8 for Korean.

As an example of how important it is, let me tell you
one of the hottest buzz word on the intenet among
Koreans. It's 'lm?m9'/'lmm'( U+C544 U+D5FF U+D5FF
or U+C544 U+D58F U+D58F). Pls, don't ask me what
they mean. They came out of nowhere(there are
a few theories about the origin) and all of suddent
spread all over Korea like a wild fire. 

Anyway, U+D5FF and U+D58F
are not included in KS C 5601-1987/KS X 1001:1998 (one of
two coded character sets forming EUC-KR along with 
US-ASCII/KS  X 1003) so that RH8 linux users
cannot enter either of them. What would they do? 
They have to use MS Windows to input them. 

For some unknown reason, my patch has not been
incorporated into Ami main tree and I have yet to
hear from the author. However, I think  RedHat can just
go ahead with the patch without waiting for it to
be accepted.

Note You need to log in before you can comment on or make changes to this bug.